> ## Documentation Index
> Fetch the complete documentation index at: https://docs.httpayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get server configuration

> Returns the current server configuration including enabled networks, assets,
relay fees, spending limits, and network-specific settings.




## OpenAPI

````yaml get /config
openapi: 3.0.0
info:
  title: HTTPayer Proxy API
  version: 1.0.0
  description: >-
    HTTPayer is a payment router for 402 response codes and the x402 Protocol.
    Users can access APIs that use the x402 standard through the HTTPayer proxy.
  contact:
    name: HTTPayer Team
    url: https://httpayer.com
servers:
  - url: https://api.httpayer.com
    description: Production server
security: []
tags:
  - name: Relay
    description: Cross-chain payment relay endpoints
  - name: Account
    description: Account balance and limits endpoints
  - name: Webhooks
    description: Async task status and webhooks
  - name: LLM
    description: OpenAI-powered endpoints for translation and chat
  - name: Health
    description: Health check endpoints
paths:
  /config:
    get:
      tags:
        - Configuration
      summary: Get server configuration
      description: >
        Returns the current server configuration including enabled networks,
        assets,

        relay fees, spending limits, and network-specific settings.
      responses:
        '200':
          description: Server configuration
          content:
            application/json:
              schema:
                type: object
                properties:
                  protocol:
                    type: object
                    description: x402 protocol version information
                    properties:
                      versions:
                        type: array
                        items:
                          type: string
                        example:
                          - '1'
                      current:
                        type: string
                        example: '1'
                  credits:
                    type: object
                    description: Credit system configuration
                    properties:
                      creditsPerUsdc:
                        type: number
                        description: Number of credits per 1 USDC
                        example: 1000
                      usdcPerCredit:
                        type: number
                        description: USDC value of 1 credit
                        example: 0.001
                      description:
                        type: string
                        description: Human-readable credit system description
                        example: 1 credit = 1 milliUSDC = 0.001 USDC
                  relay:
                    type: object
                    description: Relay endpoint configuration
                    properties:
                      fees:
                        type: object
                        properties:
                          percentage:
                            type: number
                            example: 3
                          minUSDC:
                            type: number
                            example: 0
                          model:
                            type: string
                            example: 3% flat rate
                      limits:
                        type: object
                        properties:
                          maxDailyPerWallet:
                            type: number
                            example: 100
                          maxDailyTotal:
                            type: number
                            example: 1000
                      timeouts:
                        type: object
                        properties:
                          asyncThresholdMs:
                            type: number
                            example: 120000
                  networks:
                    type: object
                    description: Supported networks configuration
                    properties:
                      enabled:
                        type: array
                        items:
                          type: string
                        example:
                          - base
                          - solana-mainnet-beta
                      evm:
                        type: array
                        items:
                          type: string
                        example:
                          - base
                          - base-sepolia
                      solana:
                        type: array
                        items:
                          type: string
                        example:
                          - solana-mainnet-beta
                          - solana-devnet
                      configs:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            network:
                              type: string
                            displayName:
                              type: string
                            usdcAddress:
                              type: string
                            httpayerAddress:
                              type: string
                            chainType:
                              type: string
                              enum:
                                - evm
                                - solana
                            decimals:
                              type: number
                  assets:
                    type: object
                    description: Enabled assets configuration
                    properties:
                      enabled:
                        type: array
                        items:
                          type: string
                        example:
                          - usdc
                  server:
                    type: object
                    description: Server settings
                    properties:
                      baseUrl:
                        type: string
                        example: https://api.httpayer.com
                      timeouts:
                        type: object
                        properties:
                          requestMs:
                            type: number
                            example: 600000
                          headersMs:
                            type: number
                            example: 610000
                          keepAliveMs:
                            type: number
                            example: 620000

````